function [array] = der2_1(a,b,M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the derivative of a 
% function on a finite interval (a,b)
% using the inverse of an indefinite 
% integration matrix defined for (a,b).
%
m = M+N+1;
A = Im(m); % See Problem 1.2.6(j).
w = weights2(a,b,M,N,h);
B = diag(w);
array = A*B;
%
