%%%%%%%%%%%%%%%
% `mapped_sinc_fun.m'
%
% This program plots sin(s)/s for 
% s = log(t/(1-t)) over 0 < t < 1
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
%%%%%%%%%%%%%%%
clear all
h = 0.9998/9998.0;
for i=1:9998
t = (i-0.5)*h;
s = pi*(log(t/(1.0-t))-1.0);
x(i) = t;
y(i) = sin(s)/s;
end
plot(x,y)
print -dps2 mapped_sinc.ps

