%
% `polyg_gprime.m'
%
clear all
format long e
%
mm = 1001;
M = 15;
N = M;
h = pi/sqrt(8*N);
m = M+N+1;
z = Sincpoints2(0,1,M,N,h);
%
for k = 1:m
    wp = 1;
    for l = [1:k-1 k+1:m]
        wp = (z(k) - z(l))*wp;
    end
    gp(k) = wp;
end
%
figure(1)
plot(z,gp)
pause
    step = 1/(mm-1);
for j=1:mm
  x(j) = (j-1)*step;
end
%
for j = 1:mm
    w = 1;
    for k = 1:m
        w = (x(j) - z(k))*w;
    end
    g(j) = w;
end
%
figure(2)
plot(x,g)

