%
% `q_both1.m'
%
%  This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [p,pp,q,qp] = q_both1(x)
%
% This routine corresponds to the fourth entry 
% of Tables  1.1 and 1.2 in Sec. 1.5.7 for 
% integration over the real line of a function 
% that satisfies the conditions of the 
% transformation # 1 in Sec. 1.5.3.
%
p = log(x);
pp = 1/x;
q = - p;
qq = 1/pp;
