%
% `q_both2.m'
%
%  This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [p,pp,q,qp] = q_both2(a,b,x)
%
% This routine corresponds to the second entry 
% of Tables  1.1 and 1.2 in Sec. 1.5.7 for 
% integration over a finite interval (a,b) 
% of a function 
% that satisfies the conditions of the 
% transformation # 2 in Sec. 1.5.3.
%
p = (a + b*x)/(1+x);;
pp = (b-a)/(1+x)^2;
q = (b+a*x)/(1+x);
qq = (b-a)*x^2/(1+x)^2;
