% 
% `waveH.m'
% 
% This program is copyrighted by SINC, LLC
% an belongs to SINC, LLC
%
% It retursn the function H of Lemma 2.3.6.
%
function H = waveH(u,v,w,t,c)
%
inv_vw = 1./(v.*v) + 1./(w.*w);
tmp1 = 1./(c.*t);
tmp2 = sqrt(tmp1.^2 - inv_vw);
tmp3 = 1./(1./v-i./w);
z1 = (-tmp1+tmp2).*tmp3;
z2 = (-tmp1-tmp2).*tmp3;

H = -i./(2*pi.*u)./(z2-z1).*(Qfunc(z1) - Qfunc(z2)).*tmp3;
