%
% `waveletint_e.m'
% 
function E = waveletint_e(N,P,x)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% waveletint_e(N,P,x) computes the function 
% E_e(N,P,x),  defined as in (1.4.93).  
%
c = 2*pi/P;
E =   x + 1/c/N*sin(c*N*x); 
for k=1:N-1
    ck = c*k;
    E = E + 2/ck*sin(ck*x);
end
%
E = E/2/N;
%
