%
% `Sincpoints1.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [z] = Sincpoints1(M,N,h)
%
% Here, the formula is 
%
%    z(j) = j*h
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.4, this tutorial.
%
% clear all
m = M+N+1;
TT = -M*h;
for j=1:m
    z(j) = TT;
    TT = TT+h;
end
    
