%
function G = lap_tr_bihar2(u,v)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
g = 0.5772156649015328;
uov = u/v;
vou = 1/uov;
u3 = uov^3;
v3 = vou^3;
fac = 1/(8*pi)*((7-6*g)*(uov + vou) + (3-2*g)*(u3 + v3) ...
      + log(u)*(6*uov+2*u3) + log(v)*(6*vou+2*v3));		
G= -(0.25+fac)/(1/u^2 + 1/v^2)^2;
