%
% lap_tr_poi3'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function G = lap_tr3_poi(u,v,w)
%
H1 = lap_tr_invR2(v,w)/u;
H2 = lap_tr_invR2(w,u)/v;
H3 = lap_tr_invR2(u,v)/w;
R = 1/u^2 + 1/v^2 + 1/w^2;
G = 1/R*(-1/8 + (H1 + H2 + H3)/(4*pi));
