%
% `phi2_2.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% returns a vector (phi2(x))" , where
% phi2(x) = log((x-a)/(b-x)).
%
function y = phi2_2(a,b,x)
%

u = (x-a)/(b-x);

y = ((1.0+u)/(b-a))^2*(1.0 - 1.0/u^2);
