%
% `phi7.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the map of Transformation #7 
% (Example 4.3.10) which maps a circular 
% arc {e^(iw): u < w < v}, |v-u| < 2 pi 
% onto R
% 
% It returns a vector phi_7(u,v,x)
%
function y = phi7(u,v,x)

y=i*(v-u)/2 + log((x - exp(i*u))/(exp(i*v) - x));
