%
% `psi2_1.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This returns psi2'(w) = (b-a)e^w/(1+e^w)^2
% since phi2(w) = 1 + (a-b)/(1+e^w)
%
function y = psi2_1(a,b,w) 
%
x = exp(w);
y = (b-a)*x/(1+x)^2;
