%
% `psi6_2.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
% 
% returns a vector 
%
% (psi6(x))" = 1/2(psi4"(x) (1 + 1/psi4^2(x)) ...
%            - (psi4'(x))^2/psi4(x)^3
%
%  psi6(x) = 1/2(psi4(x) - 1/psi4(x))
%
function y = psi6_2(x)
%
u = psi4(x);
v = psi4_2(x);
w = psi4_2(x);
y = 1/2*w*(1+1/u^2) - v^2/u^3;
