%
% `psi7.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function y = psi7(u,v,x)
%
% See Example 1.4.10
%
U = exp(i*u/2);
V = exp(i*v/2);
w = exp(x);
y = V^2*(w + U/V)/(w + V/U);
