%
% `q_both6.m'
%
%  This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [p,pp,q,qp] = q_both6(x)
%
% This routine corresponds to the sixth entry 
% of Tables  1.1 and 1.2 in Sec. 1.5.7 for 
% integration over (- infinity, infinity) of 
% a function that satisfies the conditions of 
% the transformation # 6 in Sec. 1.5.3.
%;
y = sqrt(1+x^2);
p = log(x+y);
pp = 1/y;
q = log((1+y)/x);
qq = x/y;
