%
% ref_progr.m
%
% Sinc solution to the problem 
%
% y(x) = 1/sqrt(pi) int_0^1 (x-t)^{-1/2}\,(1-y(t))^{-1} dt
%
clear all
T = 0.05;
M = 4;
N = 4;
m = M+N+1;
Ei = Im(m); % This is the m x m I^{-1} matrix.
h = sqrt(2/N);
% 
z = Sincpoints2(0,T,M,N,h);
A = Int2_p(0,T,M,N,h);
[X S] = eig(A);
Xi = inv(X);
s = diag(S);
%
for j=1:m
  s2(j) = sqrt(s(j));
end
%
B = diag(s2);
C = Xi*B*X;
%
v = ones(m,1);
Er = 1;
y = 3*v;
while(Er > .00001)
     for k=1:m
         Y(k) = 1/(y(k)-1); 
     end
     W = v + C*Y.';
     E = norm(y-W);
     y = W;
     Er = E
pause
end
%
plot(z,y)
