%
% `weights1.m'
%
% This program is copyrighted by SINC, LLC
% an belongs to SINC, LLC
%
function [w] = weights1(M,N,h)
%
% Here, the formula is 
%
%    w(j) = h
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.4, this tutorial.
%
m = M+N+1;
for j=1:m
    w(j) = h;
end
    
